import type { WidthType } from './StickyTableTypes';
import type { SharedValue } from 'react-native-reanimated';
/**
 * @param maxWidth - The max width of the table.
 * @returns - A StyleSheet object containing the width of the table.
 */
export declare const setWidthStyle: (maxWidth: number) => {
    paddingLeft: number;
    paddingRight: number;
    maxWidth: number;
    flexDirection: string;
    width: number;
};
/**
 * @param shouldRemove - Whether or not to remove the flex property.
 * @param flexValue - The flex value.
 * @returns - A StyleSheet object containing the flex property.
 */
export declare const getRestSentenceStyle: (shouldRemove: boolean, flexValue: SharedValue<number>) => {
    maxWidth: number;
    flex: number;
};
/**
 * @param maxWidths - The max widths of the table.
 * @param width - The width of the table.
 * @returns - A StyleSheet object containing the width of the table.
 */
export declare const getDynamicWidth: (maxWidths: Array<WidthType>, width: number) => {
    width: number;
};
/**
 * @param defaultMaxWidth - The default max width of the table.
 * @returns - A StyleSheet object containing the width of the table.
 */
export declare const getWidth: (defaultMaxWidth: number, removeValue?: number) => {
    maxWidth: number;
};
/**
 * A StyleSheet object that contains all of the home screen styles.
 * @param {ThemeMode} theme - The theme to use for the styles.
 * @returns {StyleSheet} A StyleSheet object containing all of the home screen styles.
 */
declare const styles: {
    container: {
        flexDirection: "row";
    };
    separatorContainer: {
        backgroundColor: string;
    };
    separatorView: {
        backgroundColor: string;
        height: number;
    };
    tableRowItemText: {
        paddingVertical: number;
    };
    tableRowTitleView: {
        paddingVertical: number;
    };
    tableRowView: {
        alignItems: "center";
    };
    tableRowViewTitle: {
        backgroundColor: string;
        paddingVertical: number;
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
    };
    restSentenceBackgroundColor: {
        backgroundColor: string;
    };
    screen: {
        flex: number;
    };
    rowTitleSeparatorView: {
        width: number;
        backgroundColor: string;
        position: "absolute";
        right: number;
        top: number;
        bottom: number;
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
        overflow: "visible";
        elevation: number;
    };
};
export default styles;
