import { useCallback } from 'react';
import { interpolate, useAnimatedStyle, withTiming, } from 'react-native-reanimated';
export default function useTitle({ item, removeProperty = '', translationX, index, firstWordWidths, maxWidth, minWidth, flexValue, setFirstWordWidths, }) {
    var _a, _b, _c, _d;
    const name = (_a = item === null || item === void 0 ? void 0 : item.split(' ')) !== null && _a !== void 0 ? _a : [];
    const firstWord = (_b = name === null || name === void 0 ? void 0 : name[0]) !== null && _b !== void 0 ? _b : '';
    const restSentence = (name === null || name === void 0 ? void 0 : name.length) > 1 ? (_c = item === null || item === void 0 ? void 0 : item.substring((item === null || item === void 0 ? void 0 : item.indexOf(' ')) + 1)) !== null && _c !== void 0 ? _c : '' : '';
    const shouldRemove = ((_d = firstWord === null || firstWord === void 0 ? void 0 : firstWord.toLowerCase()) === null || _d === void 0 ? void 0 : _d.includes(removeProperty === null || removeProperty === void 0 ? void 0 : removeProperty.toLowerCase())) &&
        (firstWord === null || firstWord === void 0 ? void 0 : firstWord.length) === (removeProperty === null || removeProperty === void 0 ? void 0 : removeProperty.length);
    /**
     * This worklet is used to translate the last word of the title
     */
    const translateWorkLet = (translationXValue, indexValue, firstWordWidthsValues, maxWidthValue, minWidthValue, flaxSharedValue) => {
        'worklet';
        const xValue = interpolate(translationXValue.value, [0, maxWidthValue - minWidthValue], [
            0,
            firstWordWidthsValues.length > 0
                ? -firstWordWidthsValues[indexValue - 1]
                : 0,
        ]);
        return {
            flex: flaxSharedValue.value,
            transform: [
                {
                    translateX: xValue < -firstWordWidthsValues[indexValue - 1]
                        ? withTiming(-firstWordWidthsValues[indexValue - 1])
                        : withTiming(xValue),
                },
            ],
        };
    };
    /**
     * This style is used to animate of the last title
     */
    const translateLastTextStyle = useAnimatedStyle(() => {
        return translateWorkLet(translationX, index, firstWordWidths, maxWidth, minWidth, flexValue);
    }, [translationX, index, firstWordWidths, maxWidth, minWidth, flexValue]);
    /**
     * Calculate the width of the first word width and set it to the firstWordWidths array
     */
    const onTextLayout = useCallback((e) => {
        if (index !== 0)
            setFirstWordWidths([...firstWordWidths, e.nativeEvent.lines[0].width]);
    }, 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [firstWordWidths, index]);
    return {
        firstWord,
        restSentence,
        shouldRemove,
        translateLastTextStyle,
        onTextLayout,
    };
}
//# sourceMappingURL=useTitle.js.map